Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-partial-migrate2.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/remote-partial-migrate2.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/remote-partial-migrate2.exp
@@ -429,36 +429,36 @@
   </synapse>
   <synapse id="32">
     <action_set>
-      <rsc_op id="140" operation="monitor" operation_key="FAKE30_monitor_10000" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
+      <rsc_op id="141" operation="monitor" operation_key="FAKE30_monitor_10000" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
         <primitive id="FAKE30" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk_remote1" CRM_meta_on_node_uuid="pcmk_remote1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="139" operation="start" operation_key="FAKE30_start_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1"/>
+        <rsc_op id="140" operation="start" operation_key="FAKE30_start_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="33">
     <action_set>
-      <rsc_op id="139" operation="start" operation_key="FAKE30_start_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
+      <rsc_op id="140" operation="start" operation_key="FAKE30_start_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
         <primitive id="FAKE30" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk_remote1" CRM_meta_on_node_uuid="pcmk_remote1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="138" operation="stop" operation_key="FAKE30_stop_0" on_node="pcmk1" on_node_uuid="1"/>
+        <rsc_op id="139" operation="stop" operation_key="FAKE30_stop_0" on_node="pcmk1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="188" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="189" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="34">
     <action_set>
-      <rsc_op id="138" operation="stop" operation_key="FAKE30_stop_0" on_node="pcmk1" on_node_uuid="1">
+      <rsc_op id="139" operation="stop" operation_key="FAKE30_stop_0" on_node="pcmk1" on_node_uuid="1">
         <primitive id="FAKE30" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -467,42 +467,42 @@
   </synapse>
   <synapse id="35">
     <action_set>
-      <rsc_op id="147" operation="monitor" operation_key="FAKE33_monitor_10000" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
+      <rsc_op id="148" operation="monitor" operation_key="FAKE33_monitor_10000" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE33" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="66" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
+        <rsc_op id="67" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="146" operation="start" operation_key="FAKE33_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2"/>
+        <rsc_op id="147" operation="start" operation_key="FAKE33_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="36">
     <action_set>
-      <rsc_op id="146" operation="start" operation_key="FAKE33_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
+      <rsc_op id="147" operation="start" operation_key="FAKE33_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE33" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="66" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
+        <rsc_op id="67" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="145" operation="stop" operation_key="FAKE33_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1"/>
+        <rsc_op id="146" operation="stop" operation_key="FAKE33_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="188" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="189" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="37">
     <action_set>
-      <rsc_op id="145" operation="stop" operation_key="FAKE33_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
+      <rsc_op id="146" operation="stop" operation_key="FAKE33_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
         <primitive id="FAKE33" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk_remote1" CRM_meta_on_node_uuid="pcmk_remote1" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -511,36 +511,36 @@
   </synapse>
   <synapse id="38">
     <action_set>
-      <rsc_op id="158" operation="monitor" operation_key="FAKE38_monitor_10000" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
+      <rsc_op id="159" operation="monitor" operation_key="FAKE38_monitor_10000" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
         <primitive id="FAKE38" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk_remote1" CRM_meta_on_node_uuid="pcmk_remote1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="157" operation="start" operation_key="FAKE38_start_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1"/>
+        <rsc_op id="158" operation="start" operation_key="FAKE38_start_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="39">
     <action_set>
-      <rsc_op id="157" operation="start" operation_key="FAKE38_start_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
+      <rsc_op id="158" operation="start" operation_key="FAKE38_start_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
         <primitive id="FAKE38" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk_remote1" CRM_meta_on_node_uuid="pcmk_remote1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="156" operation="stop" operation_key="FAKE38_stop_0" on_node="pcmk2" on_node_uuid="2"/>
+        <rsc_op id="157" operation="stop" operation_key="FAKE38_stop_0" on_node="pcmk2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="188" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="189" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="40">
     <action_set>
-      <rsc_op id="156" operation="stop" operation_key="FAKE38_stop_0" on_node="pcmk2" on_node_uuid="2">
+      <rsc_op id="157" operation="stop" operation_key="FAKE38_stop_0" on_node="pcmk2" on_node_uuid="2">
         <primitive id="FAKE38" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -549,42 +549,42 @@
   </synapse>
   <synapse id="41">
     <action_set>
-      <rsc_op id="161" operation="monitor" operation_key="FAKE39_monitor_10000" on_node="pcmk_remote2" on_node_uuid="pcmk_remote2" router_node="pcmk1">
+      <rsc_op id="162" operation="monitor" operation_key="FAKE39_monitor_10000" on_node="pcmk_remote2" on_node_uuid="pcmk_remote2" router_node="pcmk1">
         <primitive id="FAKE39" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk_remote2" CRM_meta_on_node_uuid="pcmk_remote2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="61" operation="start" operation_key="pcmk_remote2_start_0"/>
+        <pseudo_event id="62" operation="start" operation_key="pcmk_remote2_start_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="160" operation="start" operation_key="FAKE39_start_0" on_node="pcmk_remote2" on_node_uuid="pcmk_remote2" router_node="pcmk1"/>
+        <rsc_op id="161" operation="start" operation_key="FAKE39_start_0" on_node="pcmk_remote2" on_node_uuid="pcmk_remote2" router_node="pcmk1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="42">
     <action_set>
-      <rsc_op id="160" operation="start" operation_key="FAKE39_start_0" on_node="pcmk_remote2" on_node_uuid="pcmk_remote2" router_node="pcmk1">
+      <rsc_op id="161" operation="start" operation_key="FAKE39_start_0" on_node="pcmk_remote2" on_node_uuid="pcmk_remote2" router_node="pcmk1">
         <primitive id="FAKE39" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk_remote2" CRM_meta_on_node_uuid="pcmk_remote2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="61" operation="start" operation_key="pcmk_remote2_start_0"/>
+        <pseudo_event id="62" operation="start" operation_key="pcmk_remote2_start_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="159" operation="stop" operation_key="FAKE39_stop_0" on_node="pcmk1" on_node_uuid="1"/>
+        <rsc_op id="160" operation="stop" operation_key="FAKE39_stop_0" on_node="pcmk1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="188" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="189" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="43">
     <action_set>
-      <rsc_op id="159" operation="stop" operation_key="FAKE39_stop_0" on_node="pcmk1" on_node_uuid="1">
+      <rsc_op id="160" operation="stop" operation_key="FAKE39_stop_0" on_node="pcmk1" on_node_uuid="1">
         <primitive id="FAKE39" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -593,90 +593,90 @@
   </synapse>
   <synapse id="44">
     <action_set>
-      <rsc_op id="166" operation="monitor" operation_key="FAKE41_monitor_10000" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
+      <rsc_op id="167" operation="monitor" operation_key="FAKE41_monitor_10000" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE41" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="66" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
+        <rsc_op id="67" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="165" operation="start" operation_key="FAKE41_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2"/>
+        <rsc_op id="166" operation="start" operation_key="FAKE41_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="45">
     <action_set>
-      <rsc_op id="165" operation="start" operation_key="FAKE41_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
+      <rsc_op id="166" operation="start" operation_key="FAKE41_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE41" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="66" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
+        <rsc_op id="67" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="164" operation="stop" operation_key="FAKE41_stop_0" on_node="pcmk_remote2" on_node_uuid="pcmk_remote2" router_node="pcmk1"/>
+        <rsc_op id="165" operation="stop" operation_key="FAKE41_stop_0" on_node="pcmk_remote2" on_node_uuid="pcmk_remote2" router_node="pcmk1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="188" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="189" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="46">
     <action_set>
-      <rsc_op id="164" operation="stop" operation_key="FAKE41_stop_0" on_node="pcmk_remote2" on_node_uuid="pcmk_remote2" router_node="pcmk1">
+      <rsc_op id="165" operation="stop" operation_key="FAKE41_stop_0" on_node="pcmk_remote2" on_node_uuid="pcmk_remote2" router_node="pcmk1">
         <primitive id="FAKE41" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk_remote2" CRM_meta_on_node_uuid="pcmk_remote2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="61" operation="start" operation_key="pcmk_remote2_start_0"/>
+        <pseudo_event id="62" operation="start" operation_key="pcmk_remote2_start_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="47">
     <action_set>
-      <rsc_op id="179" operation="monitor" operation_key="FAKE47_monitor_10000" on_node="pcmk_remote2" on_node_uuid="pcmk_remote2" router_node="pcmk1">
+      <rsc_op id="180" operation="monitor" operation_key="FAKE47_monitor_10000" on_node="pcmk_remote2" on_node_uuid="pcmk_remote2" router_node="pcmk1">
         <primitive id="FAKE47" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk_remote2" CRM_meta_on_node_uuid="pcmk_remote2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="61" operation="start" operation_key="pcmk_remote2_start_0"/>
+        <pseudo_event id="62" operation="start" operation_key="pcmk_remote2_start_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="178" operation="start" operation_key="FAKE47_start_0" on_node="pcmk_remote2" on_node_uuid="pcmk_remote2" router_node="pcmk1"/>
+        <rsc_op id="179" operation="start" operation_key="FAKE47_start_0" on_node="pcmk_remote2" on_node_uuid="pcmk_remote2" router_node="pcmk1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="48">
     <action_set>
-      <rsc_op id="178" operation="start" operation_key="FAKE47_start_0" on_node="pcmk_remote2" on_node_uuid="pcmk_remote2" router_node="pcmk1">
+      <rsc_op id="179" operation="start" operation_key="FAKE47_start_0" on_node="pcmk_remote2" on_node_uuid="pcmk_remote2" router_node="pcmk1">
         <primitive id="FAKE47" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk_remote2" CRM_meta_on_node_uuid="pcmk_remote2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="61" operation="start" operation_key="pcmk_remote2_start_0"/>
+        <pseudo_event id="62" operation="start" operation_key="pcmk_remote2_start_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="177" operation="stop" operation_key="FAKE47_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1"/>
+        <rsc_op id="178" operation="stop" operation_key="FAKE47_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="188" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="189" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="49">
     <action_set>
-      <rsc_op id="177" operation="stop" operation_key="FAKE47_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
+      <rsc_op id="178" operation="stop" operation_key="FAKE47_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1">
         <primitive id="FAKE47" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk_remote1" CRM_meta_on_node_uuid="pcmk_remote1" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -685,36 +685,36 @@
   </synapse>
   <synapse id="50">
     <action_set>
-      <rsc_op id="182" operation="monitor" operation_key="FAKE48_monitor_10000" on_node="pcmk_remote3" on_node_uuid="pcmk_remote3" router_node="pcmk3">
+      <rsc_op id="183" operation="monitor" operation_key="FAKE48_monitor_10000" on_node="pcmk_remote3" on_node_uuid="pcmk_remote3" router_node="pcmk3">
         <primitive id="FAKE48" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk_remote3" CRM_meta_on_node_uuid="pcmk_remote3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="181" operation="start" operation_key="FAKE48_start_0" on_node="pcmk_remote3" on_node_uuid="pcmk_remote3" router_node="pcmk3"/>
+        <rsc_op id="182" operation="start" operation_key="FAKE48_start_0" on_node="pcmk_remote3" on_node_uuid="pcmk_remote3" router_node="pcmk3"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="51">
     <action_set>
-      <rsc_op id="181" operation="start" operation_key="FAKE48_start_0" on_node="pcmk_remote3" on_node_uuid="pcmk_remote3" router_node="pcmk3">
+      <rsc_op id="182" operation="start" operation_key="FAKE48_start_0" on_node="pcmk_remote3" on_node_uuid="pcmk_remote3" router_node="pcmk3">
         <primitive id="FAKE48" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk_remote3" CRM_meta_on_node_uuid="pcmk_remote3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="180" operation="stop" operation_key="FAKE48_stop_0" on_node="pcmk1" on_node_uuid="1"/>
+        <rsc_op id="181" operation="stop" operation_key="FAKE48_stop_0" on_node="pcmk1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="188" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="189" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="52">
     <action_set>
-      <rsc_op id="180" operation="stop" operation_key="FAKE48_stop_0" on_node="pcmk1" on_node_uuid="1">
+      <rsc_op id="181" operation="stop" operation_key="FAKE48_stop_0" on_node="pcmk1" on_node_uuid="1">
         <primitive id="FAKE48" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -723,42 +723,42 @@
   </synapse>
   <synapse id="53">
     <action_set>
-      <rsc_op id="185" operation="monitor" operation_key="FAKE49_monitor_10000" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
+      <rsc_op id="186" operation="monitor" operation_key="FAKE49_monitor_10000" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE49" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="66" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
+        <rsc_op id="67" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="184" operation="start" operation_key="FAKE49_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2"/>
+        <rsc_op id="185" operation="start" operation_key="FAKE49_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="54">
     <action_set>
-      <rsc_op id="184" operation="start" operation_key="FAKE49_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
+      <rsc_op id="185" operation="start" operation_key="FAKE49_start_0" on_node="pcmk_remote4" on_node_uuid="pcmk_remote4" router_node="pcmk2">
         <primitive id="FAKE49" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="start" CRM_meta_on_node="pcmk_remote4" CRM_meta_on_node_uuid="pcmk_remote4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="66" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
+        <rsc_op id="67" operation="start" operation_key="pcmk_remote4_start_0" on_node="pcmk2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="183" operation="stop" operation_key="FAKE49_stop_0" on_node="pcmk_remote3" on_node_uuid="pcmk_remote3" router_node="pcmk3"/>
+        <rsc_op id="184" operation="stop" operation_key="FAKE49_stop_0" on_node="pcmk_remote3" on_node_uuid="pcmk_remote3" router_node="pcmk3"/>
       </trigger>
       <trigger>
-        <pseudo_event id="188" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="189" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="55">
     <action_set>
-      <rsc_op id="183" operation="stop" operation_key="FAKE49_stop_0" on_node="pcmk_remote3" on_node_uuid="pcmk_remote3" router_node="pcmk3">
+      <rsc_op id="184" operation="stop" operation_key="FAKE49_stop_0" on_node="pcmk_remote3" on_node_uuid="pcmk_remote3" router_node="pcmk3">
         <primitive id="FAKE49" class="ocf" provider="heartbeat" type="Dummy"/>
         <attributes CRM_meta_name="stop" CRM_meta_on_node="pcmk_remote3" CRM_meta_on_node_uuid="pcmk_remote3" CRM_meta_timeout="20000" />
       </rsc_op>
@@ -767,88 +767,88 @@
   </synapse>
   <synapse id="56">
     <action_set>
-      <crm_event id="189" operation="stonith" operation_key="stonith-pcmk4-reboot" on_node="pcmk4" on_node_uuid="4">
-        <attributes CRM_meta_on_node="pcmk4" CRM_meta_on_node_uuid="4" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="4"/>
-        </downed>
-      </crm_event>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="57">
-    <action_set>
-      <pseudo_event id="188" operation="stonith_complete" operation_key="stonith_complete">
+      <pseudo_event id="189" operation="stonith_complete" operation_key="stonith_complete">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="189" operation="stonith" operation_key="stonith-pcmk4-reboot" on_node="pcmk4" on_node_uuid="4"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-pcmk4-reboot" on_node="pcmk4" on_node_uuid="4"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="58">
+  <synapse id="57">
     <action_set>
-      <pseudo_event id="55" operation="all_stopped" operation_key="all_stopped">
+      <pseudo_event id="56" operation="all_stopped" operation_key="all_stopped">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="60" operation="stop" operation_key="pcmk_remote2_stop_0" on_node="pcmk3" on_node_uuid="3"/>
+        <rsc_op id="61" operation="stop" operation_key="pcmk_remote2_stop_0" on_node="pcmk3" on_node_uuid="3"/>
       </trigger>
       <trigger>
-        <rsc_op id="68" operation="stop" operation_key="pcmk_remote5_stop_0" on_node="pcmk1" on_node_uuid="1"/>
+        <rsc_op id="69" operation="stop" operation_key="pcmk_remote5_stop_0" on_node="pcmk1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <rsc_op id="81" operation="stop" operation_key="FAKE5_stop_0" on_node="pcmk1" on_node_uuid="1"/>
+        <rsc_op id="82" operation="stop" operation_key="FAKE5_stop_0" on_node="pcmk1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <rsc_op id="90" operation="stop" operation_key="FAKE9_stop_0" on_node="pcmk2" on_node_uuid="2"/>
+        <rsc_op id="91" operation="stop" operation_key="FAKE9_stop_0" on_node="pcmk2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="97" operation="stop" operation_key="FAKE12_stop_0" on_node="pcmk1" on_node_uuid="1"/>
+        <rsc_op id="98" operation="stop" operation_key="FAKE12_stop_0" on_node="pcmk1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <rsc_op id="102" operation="stop" operation_key="FAKE14_stop_0" on_node="pcmk2" on_node_uuid="2"/>
+        <rsc_op id="103" operation="stop" operation_key="FAKE14_stop_0" on_node="pcmk2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="109" operation="stop" operation_key="FAKE17_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1"/>
+        <rsc_op id="110" operation="stop" operation_key="FAKE17_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1"/>
       </trigger>
       <trigger>
-        <rsc_op id="126" operation="stop" operation_key="FAKE25_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1"/>
+        <rsc_op id="127" operation="stop" operation_key="FAKE25_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1"/>
       </trigger>
       <trigger>
-        <rsc_op id="133" operation="stop" operation_key="FAKE28_stop_0" on_node="pcmk3" on_node_uuid="3"/>
+        <rsc_op id="134" operation="stop" operation_key="FAKE28_stop_0" on_node="pcmk3" on_node_uuid="3"/>
       </trigger>
       <trigger>
-        <rsc_op id="138" operation="stop" operation_key="FAKE30_stop_0" on_node="pcmk1" on_node_uuid="1"/>
+        <rsc_op id="139" operation="stop" operation_key="FAKE30_stop_0" on_node="pcmk1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <rsc_op id="145" operation="stop" operation_key="FAKE33_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1"/>
+        <rsc_op id="146" operation="stop" operation_key="FAKE33_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1"/>
       </trigger>
       <trigger>
-        <rsc_op id="156" operation="stop" operation_key="FAKE38_stop_0" on_node="pcmk2" on_node_uuid="2"/>
+        <rsc_op id="157" operation="stop" operation_key="FAKE38_stop_0" on_node="pcmk2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="159" operation="stop" operation_key="FAKE39_stop_0" on_node="pcmk1" on_node_uuid="1"/>
+        <rsc_op id="160" operation="stop" operation_key="FAKE39_stop_0" on_node="pcmk1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <rsc_op id="164" operation="stop" operation_key="FAKE41_stop_0" on_node="pcmk_remote2" on_node_uuid="pcmk_remote2" router_node="pcmk1"/>
+        <rsc_op id="165" operation="stop" operation_key="FAKE41_stop_0" on_node="pcmk_remote2" on_node_uuid="pcmk_remote2" router_node="pcmk1"/>
       </trigger>
       <trigger>
-        <rsc_op id="177" operation="stop" operation_key="FAKE47_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1"/>
+        <rsc_op id="178" operation="stop" operation_key="FAKE47_stop_0" on_node="pcmk_remote1" on_node_uuid="pcmk_remote1" router_node="pcmk1"/>
       </trigger>
       <trigger>
-        <rsc_op id="180" operation="stop" operation_key="FAKE48_stop_0" on_node="pcmk1" on_node_uuid="1"/>
+        <rsc_op id="181" operation="stop" operation_key="FAKE48_stop_0" on_node="pcmk1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <rsc_op id="183" operation="stop" operation_key="FAKE49_stop_0" on_node="pcmk_remote3" on_node_uuid="pcmk_remote3" router_node="pcmk3"/>
+        <rsc_op id="184" operation="stop" operation_key="FAKE49_stop_0" on_node="pcmk_remote3" on_node_uuid="pcmk_remote3" router_node="pcmk3"/>
       </trigger>
       <trigger>
-        <pseudo_event id="188" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="189" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
+  <synapse id="58">
+    <action_set>
+      <crm_event id="1" operation="stonith" operation_key="stonith-pcmk4-reboot" on_node="pcmk4" on_node_uuid="4">
+        <attributes CRM_meta_on_node="pcmk4" CRM_meta_on_node_uuid="4" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="4"/>
+        </downed>
+      </crm_event>
+    </action_set>
+    <inputs/>
+  </synapse>
 </transition_graph>
